%define libname libenchant

Name:          enchant
Version:       2.7.3
Release:       1mamba
Summary:       An Enchanting Spell Checking Library
Group:         Applications/Spelling Checker
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://abiword.github.io/enchant/
Source:        https://github.com/AbiWord/enchant/releases/download/v%{version}/enchant-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libaspell-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libhspell-devel
BuildRequires: libhunspell-devel
BuildRequires: libstdc++6-devel
BuildRequires: libvoikko-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: pkgconfig
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description
A library that wraps around other spell checking back-ends.

%package -n %{libname}
Summary:       Dynamic libraries and headers for %{name}
Group:         System/Libraries

%description -n %{libname}
A library that wraps around other spell checking back-ends.
This package contains dynamic libraries provided by %{name}.

%package -n %{libname}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libenchant-static
Obsoletes:     libenchant-static < 2.3.4

%description -n %{libname}-devel
A library that wraps around other spell checking back-ends.
This package contains libraries and header files need for development.

%package -n %{libname}-static
Summary:       Static package for %{name}
Group:         Development/Libraries
Requires:      %{libname}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-static
A library that wraps around other spell checking back-ends.

This package contains static libraries need for development.

%package aspell
Summary:  Integration with aspell for libenchant
Group:    System/Libraries
Requires: enchant = %{?epoch:%epoch:}%{version}-%{release}

%description aspell
Libraries necessary to integrate applications using libenchant with aspell.

%package voikko
Summary: Integration with voikko for libenchant
Group:    System/Libraries
Requires: enchant = %{?epoch:%epoch:}%{version}-%{release}

%description voikko
Libraries necessary to integrate applications using libenchant with voikko.

# NOTE:
# Build Aspell backend:           yes
# Build Ispell backend:           yes
# Build Uspell backend:           no
# Build Hspell backend:           no
# Build Myspell/Hunspell backend: yes
# Build Voikko backend:           yes
# Build Zemberek backend:         yes
# Build a relocatable library:    no

%debug_package

%prep
%setup -q

%build
%configure \
	--with-myspell-dir=%{_datadir}/myspell \
	--disable-hspell \
	--disable-static
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/enchant-2
%{_bindir}/enchant-lsmod-2
%{_mandir}/man1/enchant-2.*
%{_mandir}/man1/enchant-lsmod-2.*
%{_mandir}/man5/enchant.5*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libenchant-2.so.*
%dir %{_libdir}/enchant-2
%{_libdir}/enchant-2/enchant_hspell.*
%{_libdir}/enchant-2/enchant_hunspell.*
%dir %{_datadir}/enchant-2
%{_datadir}/enchant-2/*
%doc AUTHORS COPYING.LIB

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/enchant-2/
%{_includedir}/enchant-2/*.h
%{_libdir}/libenchant-2.so
%{_libdir}/pkgconfig/*.pc
%dir %{_docdir}/enchant
%{_docdir}/enchant/*
#%doc ChangeLog NEWS README

%files aspell
%defattr(-,root,root)
%{_libdir}/enchant-2/enchant_aspell.*

%files voikko
%defattr(-,root,root)
%{_libdir}/enchant-2/enchant_voikko.*

%changelog
* Sat May 04 2024 Automatic Build System <autodist@openmamba.org> 2.7.3-1mamba
- automatic version update by autodist

* Sun Apr 28 2024 Automatic Build System <autodist@openmamba.org> 2.7.2-1mamba
- automatic version update by autodist

* Fri Apr 26 2024 Automatic Build System <autodist@openmamba.org> 2.7.1-1mamba
- automatic version update by autodist

* Sat Apr 06 2024 Automatic Build System <autodist@openmamba.org> 2.6.9-1mamba
- automatic version update by autodist

* Sat Mar 23 2024 Automatic Build System <autodist@openmamba.org> 2.6.8-1mamba
- automatic version update by autodist

* Fri Feb 09 2024 Automatic Build System <autodist@openmamba.org> 2.6.7-1mamba
- automatic version update by autodist

* Sun Feb 04 2024 Automatic Build System <autodist@openmamba.org> 2.6.6-1mamba
- automatic version update by autodist

* Mon Jan 08 2024 Automatic Build System <autodist@openmamba.org> 2.6.5-1mamba
- automatic version update by autodist

* Thu Dec 14 2023 Automatic Build System <autodist@mambasoft.it> 2.6.4-1mamba
- automatic version update by autodist

* Sun Dec 03 2023 Automatic Build System <autodist@mambasoft.it> 2.6.3-1mamba
- automatic version update by autodist

* Sun Oct 29 2023 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic version update by autodist

* Mon Oct 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.1-1mamba
- update to 2.6.1

* Sat Jun 03 2023 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Sat Feb 25 2023 Automatic Build System <autodist@mambasoft.it> 2.3.4-1mamba
- automatic version update by autodist

* Sun Apr 17 2022 Automatic Build System <autodist@mambasoft.it> 2.3.3-1mamba
- automatic version update by autodist

* Fri Dec 03 2021 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic version update by autodist

* Wed Aug 11 2021 Automatic Build System <autodist@mambasoft.it> 2.3.1-1mamba
- automatic version update by autodist

* Tue Jun 15 2021 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 2.2.15-1mamba
- automatic version update by autodist

* Tue Dec 22 2020 Automatic Build System <autodist@mambasoft.it> 2.2.13-1mamba
- automatic version update by autodist

* Sun Nov 29 2020 Automatic Build System <autodist@mambasoft.it> 2.2.12-1mamba
- automatic version update by autodist

* Thu Oct 22 2020 Automatic Build System <autodist@mambasoft.it> 2.2.11-1mamba
- automatic version update by autodist

* Wed Sep 23 2020 Automatic Build System <autodist@mambasoft.it> 2.2.10-1mamba
- automatic version update by autodist

* Mon Mar 16 2020 Automatic Build System <autodist@mambasoft.it> 2.2.8-1mamba
- automatic version update by autodist

* Thu Sep 26 2019 Automatic Build System <autodist@mambasoft.it> 2.2.7-1mamba
- automatic version update by autodist

* Tue Sep 10 2019 Automatic Build System <autodist@mambasoft.it> 2.2.6-1mamba
- automatic version update by autodist

* Mon Jul 22 2019 Automatic Build System <autodist@mambasoft.it> 2.2.5-1mamba
- automatic version update by autodist

* Thu Jul 11 2019 Automatic Build System <autodist@mambasoft.it> 2.2.4-1mamba
- automatic version update by autodist

* Thu Feb 22 2018 Automatic Build System <autodist@mambasoft.it> 2.2.3-1mamba
- automatic version update by autodist

* Fri Jan 26 2018 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Sat Dec 23 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0-1mamba
- update to 2.2.0

* Mon Aug 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0-2mamba
- remove package libenchant-static which only contained .la files (moved to -devel)

* Sat Jul 30 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0-1mamba
- update to 1.6.0

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 1.4.2-3mamba
- automatic rebuild by autodist

* Mon Feb 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.2-2mamba
- fixed %expoch requirement for subpackages

* Mon Feb 02 2009 gil <puntogil@libero.it> 1.4.2-1mamba
- update to 1.4.2
- added libvokkio support
- new packages: aspell; voikko; static
- edit configure options

* Thu Oct 30 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-1mamba
- automatic update by autodist

* Tue Oct 30 2007 Aleph0 <aleph0@openmamba.org> 1.3.0-2mamba
- specfile updated and fixed
- create package enchant with binaries

* Tue Apr 10 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 1.3.0-1mamba
- update to version 1.3.0

* Tue Jun 27 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.2.6-1qilnx
- update to version 1.2.6 by autospec

* Tue Aug 09 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 1.1.6-1qilnx
- package created by autospec
